rte_ipsec_sa_pkt_func(3)

NAME
rte_ipsec_sa_pkt_func

SYNOPSIS

#include <rte_ipsec.h>

Detailed Description

IPsec session specific functions that will be used to:

•   prepare - for input mbufs and given IPsec session prepare crypto ops that can be enqueued into the cryptodev associated with given session (see rte_ipsec_pkt_crypto_prepare below for more details).

•   prepare_stateless - similar to prepare, but further processing is done based on IPsec state provided by the 'state' parameter.

•   process - finalize processing of packets after crypto-dev finished with them or process packets that are subjects to inline IPsec offload (see rte_ipsec_pkt_process for more details).

Definition at line 44 of file rte_ipsec.h.

Author

Generated automatically by Doxygen for DPDK from the source code.